summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README3
-rwxr-xr-xautogen.sh20
-rwxr-xr-xbootstrap-configure3
3 files changed, 22 insertions, 4 deletions
diff --git a/README b/README
index 7569ece..3031deb 100644
--- a/README
+++ b/README
@@ -19,8 +19,7 @@ follows:
# cd dleyna-core
Configure and build
- # ./autoreconf -i
- # ./configure
+ # ./autogen.sh
# make
Final installation
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..27aa055
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# Derived from https://git.gnome.org/browse/glib/tree/autogen.sh
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+fi
+
+autoreconf --force --install --verbose || exit $?
+
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/bootstrap-configure b/bootstrap-configure
index 7a59366..e6464d3 100755
--- a/bootstrap-configure
+++ b/bootstrap-configure
@@ -4,8 +4,7 @@ if [ -f config.status ]; then
make maintainer-clean
fi
-autoreconf -if && \
- ./configure --enable-maintainer-mode \
+./autogen.sh --enable-maintainer-mode \
--enable-silent-rules \
--disable-optimization \
--enable-debug \